	.file	"overflow.c"
	.text
	.p2align 2,,3
.globl gets
	.type	gets,@function
gets:
	pushl	%ebp
	movl	%esp, %ebp
	pushl	%esi
	movl	8(%ebp), %esi
	pushl	%ebx
	movl	%esi, %ebx
	.p2align 2,,3
.L2:
	subl	$12, %esp
	pushl	stdin
	call	_IO_getc
	addl	$16, %esp
	cmpl	$10, %eax
	je	.L3
	cmpl	$-1, %eax
	je	.L3
	movb	%al, (%ebx)
	incl	%ebx
	jmp	.L2
.L3:
	incl	%eax
	sete	%al
	movzbl	%al, %eax
	movb	$0, (%ebx)
	decl	%eax
	leal	-8(%ebp), %esp
	andl	%eax, %esi
	popl	%ebx
	movl	%esi, %eax
	popl	%esi
	leave
	ret
.Lfe1:
	.size	gets,.Lfe1-gets
	.p2align 2,,3
.globl echo
	.type	echo,@function
echo:
	pushl	%ebp
	movl	%esp, %ebp
	pushl	%ebx
	subl	$16, %esp
	leal	-8(%ebp), %ebx
	pushl	%ebx
	call	gets
	movl	%ebx, (%esp)
	call	puts
	movl	-4(%ebp), %ebx
	leave
	ret
.Lfe2:
	.size	echo,.Lfe2-echo
	.p2align 2,,3
.globl echosafe
	.type	echosafe,@function
echosafe:
	pushl	%ebp
	movl	%esp, %ebp
	pushl	%ebx
	subl	$8, %esp
	pushl	stdin
	leal	-8(%ebp), %ebx
	pushl	$4
	pushl	%ebx
	call	fgets
	popl	%eax
	popl	%edx
	pushl	stdout
	pushl	%ebx
	call	fputs
	movl	-4(%ebp), %ebx
	leave
	ret
.Lfe3:
	.size	echosafe,.Lfe3-echosafe
	.p2align 2,,3
.globl main
	.type	main,@function
main:
	pushl	%ebp
	movl	%esp, %ebp
	subl	$8, %esp
	andl	$-16, %esp
	.p2align 2,,3
.L15:
	call	echo
	jmp	.L15
.Lfe4:
	.size	main,.Lfe4-main
	.ident	"GCC: (GNU) 3.2.2 20030222 (Red Hat Linux 3.2.2-5)"
